Package org.jboss.logmanager

# Enum ExtLogRecord.FormatStyle

java.lang.Object
java.lang.Enum<ExtLogRecord.FormatStyle>
org.jboss.logmanager.ExtLogRecord.FormatStyle

All Implemented Interfaces:
  `Serializable`, `Comparable<ExtLogRecord.FormatStyle>`, `java.lang.constant.Constable`

Enclosing class:
  `ExtLogRecord`

public static enum ExtLogRecord.FormatStyle extends Enum<ExtLogRecord.FormatStyle>
The format style to use.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MESSAGE_FORMAT`
Format the message using the `MessageFormat` parameter style.
`NO_FORMAT`
Do not format the message; parameters are ignored.
`PRINTF`
Format the message using the `Formatter` (also known as `printf()`) parameter style.

## Method Summary

Modifier and Type
Method
Description
`static ExtLogRecord.FormatStyle`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ExtLogRecord.FormatStyle[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MESSAGE_FORMAT

public static final ExtLogRecord.FormatStyle MESSAGE_FORMAT
Format the message using the `MessageFormat` parameter style.

### PRINTF

public static final ExtLogRecord.FormatStyle PRINTF
Format the message using the `Formatter` (also known as `printf()`) parameter style.

### NO_FORMAT

public static final ExtLogRecord.FormatStyle NO_FORMAT
Do not format the message; parameters are ignored.

## Method Details

### values

public static ExtLogRecord.FormatStyle[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static ExtLogRecord.FormatStyle valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null